package org.chenyang.http.impl.client;

import org.chenyang.http.annotation.Contract;
import org.chenyang.http.annotation.ThreadingBehavior;
import org.chenyang.http.client.UserTokenHandler;
import org.chenyang.http.protocol.HttpContext;

@Contract(
   threading = ThreadingBehavior.IMMUTABLE
)
public class NoopUserTokenHandler implements UserTokenHandler {
   public static final NoopUserTokenHandler INSTANCE = new NoopUserTokenHandler();

   public Object getUserToken(HttpContext context) {
      return null;
   }
}
